Package org.springframework.beans.factory.config

# Interface BeanDefinitionCustomizer

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface BeanDefinitionCustomizer
Callback for customizing a given bean definition. Designed for use with a lambda expression or method reference.

Since:
  5.0
Author:
  Juergen Hoeller
See Also:
  - `BeanDefinitionBuilder.applyCustomizers(org.springframework.beans.factory.config.BeanDefinitionCustomizer...)`

## Method Summary

Modifier and Type
Method
Description
`void`
`customize(BeanDefinition bd)`
Customize the given bean definition.

## Method Details

### customize

void customize(BeanDefinition bd)
Customize the given bean definition.